GrailsAutoConfiguration (Grails 6.0.0)

Package: grails.boot.config

## [Groovy] Class GrailsAutoConfiguration

- grails.boot.config.GrailsAutoConfiguration

- All Implemented Interfaces and Traits:
    GrailsApplicationClass, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      class GrailsAutoConfiguration
      extends java.lang.Object
      implements GrailsApplicationClass, org.springframework.context.ApplicationContextAware

  A base class for configurations that bootstrap a Grails application

  Since:
    3.0
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `APC_PRIORITY_LIST_FIELD` |
    `private org.springframework.context.ApplicationContext` | `applicationContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAutoConfiguration ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `()`
    `` | `java.util.Collection<java.lang.Class>` | `classes()` Returns: The classes that constitute the Grails application
    `` | `void` | `doWithApplicationContext()`
    `` | `void` | `doWithDynamicMethods()`
    `` | `groovy.lang.Closure` | `doWithSpring()`
    `` | `Config` | `getConfig()`
    `` | `GrailsApplication` | `getGrailsApplication()`
    `` | `GrailsApplicationPostProcessor` | `grailsApplicationPostProcessor()` Returns: A post processor that uses the GrailsPluginManager to configure the org.springframework.context.ApplicationContext
    `` | `protected boolean` | `limitScanningToApplication()` Whether classpath scanning should be limited to the application and not dependent JAR files.
    `` | `void` | `onConfigChange(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `void` | `onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `void` | `onStartup(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `java.util.Collection<java.lang.String>` | `packageNames()` Returns: The package names to scan.
    `` | `java.util.Collection<java.lang.Package>` | `packages()` Returns: The packages to scan

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String APC_PRIORITY_LIST_FIELD

    - #### private org.springframework.context.ApplicationContext applicationContext

  - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

  - ### Constructor Detail

    - #### GrailsAutoConfiguration()

  - ### Method Detail

    - #### static void ()

    - #### java.util.Collection<java.lang.Class> classes()

      Returns:
        The classes that constitute the Grails application

    - #### @java.lang.Override void doWithApplicationContext()

    - #### @java.lang.Override void doWithDynamicMethods()

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()

    - #### Config getConfig()

    - #### GrailsApplication getGrailsApplication()

    - #### @org.springframework.context.annotation.Bean GrailsApplicationPostProcessor grailsApplicationPostProcessor()

      Returns:
        A post processor that uses the GrailsPluginManager to configure the org.springframework.context.ApplicationContext

    - #### protected boolean limitScanningToApplication()

      Whether classpath scanning should be limited to the application and not dependent JAR files. Users can override this method to enable more broad scanning at the cost of startup time.

      Returns:
        True if scanning should be limited to the application and should not include dependant JAR files

    - #### @java.lang.Override void onConfigChange(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @java.lang.Override void onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @java.lang.Override void onStartup(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### java.util.Collection<java.lang.String> packageNames()

      Returns:
        The package names to scan. Delegates to packages() by default

    - #### java.util.Collection<java.lang.Package> packages()

      Returns:
        The packages to scan